QB_HDB_ITERATOR_NEXT(3)

NAME
qb_hdb_iterator_next - Get the next object and increament it's refcount.

SYNOPSIS
#include <qb/qbhdb.h>

int32_t qb_hdb_iterator_next(
    struct qb_hdb   *hdb,       /* the database instance */
    void           **instance,  /* (out) pointer to the desired object. */
    qb_handle_t     *handle     /* (out) the handle */
);

PARAMS
hdb the database instance

instance (out) pointer to the desired object.

handle (out) the handle

DESCRIPTION

Remember to call qb_hdb_handle_put()

STRUCTURES

struct qb_hdb {

    uint32_t    handle_count;

    qb_array_t  handles;

    uint32_t    iterator;

    void      (*destructor)(void *);

    uint32_t    first_run;
};

RETURN VALUE

(0 == ok, -errno failure)

SEE ALSO

qb_hdb_handle_get(3), qb_hdb_iterator_reset(3), qb_hdb_handle_create(3), qb_hdb_handle_destroy(3), qb_hdb_handle_refcount_get(3), qb_hdb_nocheck_convert(3), qb_hdb_create(3), qb_hdb_destroy(3), qb_hdb_base_convert(3), qb_hdb_handle_get_always(3), qb_hdb_handle_put(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.